SDL_LoadFunction(3)

NAME
SDL_LoadFunction - Look up the address of the named function in a shared object.

HEADER FILE
Defined in SDL3/SDL_loadso.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FunctionPointer SDL_LoadFunction(SDL_SharedObject *handle, const char *name);

DESCRIPTION
This function pointer is no longer valid after calling

SDL_UnloadObject ().

This function can only look up C function names. Other languages may have name mangling and intrinsic language support that varies from compiler to compiler.

Make sure you declare your function pointers with the same calling convention as the actual library function. Your code will crash mysteriously if you do not do this.

If the requested function doesn't exist, NULL is returned.

FUNCTION PARAMETERS

handle
    a valid shared object handle returned by SDL_LoadObject ().

name
    the name of the function to look up.

RETURN VALUE
( SDL_FunctionPointer ) Returns a pointer to the function or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LoadObject(3)